web_visits:write OAuth2 scope.X-Api-Key: ********************{
"data": {
"attributes": {
"advanced_filters": {
"items": [
{
"items": [
{
"items": [
{
"items": [
{
"display_value": "pricing",
"field": "page_url",
"operator": "contains",
"type": "filter",
"value": "pricing"
}
],
"operator": "or",
"type": "group"
},
{
"items": [
{
"display_value": "Germany",
"field": "country_code",
"operator": "is",
"type": "filter",
"value": "DE"
}
],
"operator": "or",
"type": "group"
},
{
"items": [
{
"display_value": "201",
"field": "employee_count",
"operator": "at_least",
"type": "filter",
"value": 201
}
],
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
},
{
"items": [
{
"items": [
{
"display_value": "5 minutes",
"field": "visit_length",
"operator": "at_least",
"type": "filter",
"value": "5 minutes"
}
],
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
}
],
"negated": false,
"operator": "or",
"type": "group"
},
{
"items": [],
"negated": true,
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
},
"name": "DE Enterprise High-Intent Accounts",
"notifications": []
},
"relationships": {
"folder": null
},
"type": "custom_feed"
}
}curl --location 'https://api.leadfeeder.com/v1/web-visits/custom-feeds?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"attributes": {
"advanced_filters": {
"items": [
{
"items": [
{
"items": [
{
"items": [
{
"display_value": "pricing",
"field": "page_url",
"operator": "contains",
"type": "filter",
"value": "pricing"
}
],
"operator": "or",
"type": "group"
},
{
"items": [
{
"display_value": "Germany",
"field": "country_code",
"operator": "is",
"type": "filter",
"value": "DE"
}
],
"operator": "or",
"type": "group"
},
{
"items": [
{
"display_value": "201",
"field": "employee_count",
"operator": "at_least",
"type": "filter",
"value": 201
}
],
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
},
{
"items": [
{
"items": [
{
"display_value": "5 minutes",
"field": "visit_length",
"operator": "at_least",
"type": "filter",
"value": "5 minutes"
}
],
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
}
],
"negated": false,
"operator": "or",
"type": "group"
},
{
"items": [],
"negated": true,
"operator": "or",
"type": "group"
}
],
"operator": "and",
"type": "group"
},
"name": "DE Enterprise High-Intent Accounts",
"notifications": []
},
"relationships": {
"folder": null
},
"type": "custom_feed"
}
}'{
"data": {
"attributes": {
"created_at": "2026-01-15T10:30:00.000Z",
"deletable": true,
"name": "All companies",
"notifications": [],
"updated_at": "2026-01-20T14:00:00.000Z",
"viewable": true
},
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"relationships": {
"connected_list": null,
"created_by": {
"id": "12345",
"type": "user"
},
"folder": {
"id": "42",
"type": "custom_feed_folder"
}
},
"type": "custom_feed"
},
"meta": {
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}